#include<stdio.h>
#include<string.h>
#include<math.h>

int main( void ){
  FILE *fp;
  char buf[200];
  char last_buf[200];
  char fn[100][50];
  char clm1[50][20], clm2[50][20];
  double dl, lmd;
  int nline;
  int nlist;
  int i, j;

  fp = fopen( "aho.list", "rt" );
  nlist = 0;
  while( feof( fp ) == 0 ){
    fgets( buf, 200, fp );
    if( strcmp( last_buf, buf ) == 0 )
      continue;
    nlist++;
    sscanf( buf, "%s", fn[nlist] );
    strcpy( last_buf, buf );
  }
  fclose( fp );

  for( i=1; i<=nlist; i++ ){
    fp = fopen( fn[i], "rt" );
    nline = 0;
    while( feof( fp ) == 0 ){
      fgets( buf, 200, fp );
      if( strcmp( last_buf, buf ) == 0 )
	continue;
      nline++;
      sscanf( buf, "%s %s", clm1[nline], clm2[nline] );
      strcpy( last_buf, buf );
    }
    fclose( fp );
    
    fp = fopen( fn[i], "wt" );
    
    for( j=1; j<=nline; j++ ){

      lmd = atof( clm1[j] );
      if( lmd < 6000. ){
	dl = 50.0;
      }
      else{
	if( fabs( lmd - 8712 ) < 1.0 )
	  dl = 31.38;
	else
	  dl = 96.0;
      }
      fprintf( fp, "%6.1f  %s  %5.2f\n", lmd, clm2[j], dl );
    }

    fclose( fp );
  }
  return( 0 );
}
